List Owners
curl --request GET \
--url https://api.threadi.au/stopwatch/v1/owners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.threadi.au/stopwatch/v1/owners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.threadi.au/stopwatch/v1/owners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "998877",
"email": "user@example.com",
"firstName": "Example",
"lastName": "User",
"type": "PERSON",
"createdAt": "2025-08-14T02:43:21.398Z",
"updatedAt": "2025-08-14T02:43:21.398Z",
"archived": false
}
],
"paging": {
"next": {
"after": 278240677087,
"link": "https://api.threadi.au/stopwatch/v1/timelogs?limit=1&properties=a552213_first_start_date%2Ca552213_total_years&after=278240677087"
}
}
}{
"error": "Invalid API key"
}{
"error": "API key has been deactivated"
}{
"error": "Daily quota exceeded",
"details": "This API key has reached its UTC daily request limit. Use response header x-stopwatch-ratelimit-reset to know when this quota will reset."
}{
"error": "Internal Server Error",
"details": "An unexpected error occurred."
}{
"error": "Service temporarily busy",
"details": "Unable to process request right now. Please retry shortly."
}API Reference
List Owners
Retrieves a list of HubSpot CRM Owners belonging to the authorised portal. Primarily supported so you can find valid hubspot_owner_id values for Time Log creation.
See HubSpot API documentation for the list of valid Query Parameters.
GET
/
stopwatch
/
v1
/
owners
List Owners
Authorizations
Bearer Authorization header of the form Bearer {token}, where {token} is your API key. By default, each API key is rate-limited to 1,000 requests per day (UTC). If you need a higher daily limit, please submit a support request.
⌘I

